Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665826 - app-mobilephone/gammu: Validate DEPEND on virtual/mysql
Summary: app-mobilephone/gammu: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Victor Kustov
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 668560
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:27 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:27:52 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2019-02-08 15:10:51 UTC
"mariadb? ( dev-db/mariadb-connector-c:=[mysqlcompat] )" is wrong.  Please do not depend on this.
Comment 2 Victor Kustov 2019-02-08 16:05:05 UTC
What exactly wrong? dev-db/mariadb-connector-c at all or dev-db/mariadb-connector-c with mysqlcompat?
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2019-02-08 16:07:37 UTC
(In reply to Victor Kustov from comment #2)
> What exactly wrong? dev-db/mariadb-connector-c at all or
> dev-db/mariadb-connector-c with mysqlcompat?

Do not rely on the mysqlcompat USE flag.  I'm debating on removing it for confusion and conflict purposes.

If the package can link with libmariadb.so, using either mariadb.pc or mariadb_config for info, then dev-db/mariadb-connector-c is fine as a dependency.
Comment 4 Victor Kustov 2019-02-11 06:45:18 UTC
OK, I just remove mariadb support till version 1.40.0.
Comment 5 Larry the Git Cow gentoo-dev 2019-03-04 11:52:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70ae7dd34071cb9cc2017a249a409394a03f6193

commit 70ae7dd34071cb9cc2017a249a409394a03f6193
Author:     ktrace <ktrace@yandex.ru>
AuthorDate: 2019-03-04 10:13:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-03-04 11:52:34 +0000

    app-mobilephone/gammu: remove virtual/mysql from deps
    
    Replace virtual/mysql with dev-db/mysql-connector-c:= in dependencies.
    
    Closes: https://bugs.gentoo.org/665826
    Closes: https://github.com/gentoo/gentoo/pull/9962
    Signed-off-by: Victor Kustov <ktrace@yandex.ru>
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    Closes: https://github.com/gentoo/gentoo/pull/9962
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-mobilephone/gammu/{gammu-1.39.0.ebuild => gammu-1.39.0-r1.ebuild} | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)